## IdeProjectItem IdeProjectItem |

## Functions

#define | IDE_TYPE_PROJECT_ITEM
IdeProjectItem * | ide_project_item_get_parent ()
void | ide_project_item_append ()
void | ide_project_item_remove ()
GSequence * | ide_project_item_get_children ()

## Properties

IdeProjectItem * | parent | Read / Write

## Types and Values

struct | IdeProjectItemClass
| IdeProjectItem

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeProjectItem
                ├── IdeProjectFile
                ╰── IdeProjectFiles

## Description

## Functions

### IDE_TYPE_PROJECT_ITEM

    #define IDE_TYPE_PROJECT_ITEM (ide_project_item_get_type())

### ide_project_item_get_parent ()

    IdeProjectItem *
    ide_project_item_get_parent (IdeProjectItem *item);

Retrieves the parent IdeProjectItem of `item` , or `NULL` if `item` is the root of the project tree.

#### Returns

An IdeProjectItem or `NULL` if the item is the root of the tree.

[transfer none][nullable]

### ide_project_item_append ()

    void
    ide_project_item_append (IdeProjectItem *item,
                             IdeProjectItem *child);

### ide_project_item_remove ()

    void
    ide_project_item_remove (IdeProjectItem *item,
                             IdeProjectItem *child);

### ide_project_item_get_children ()

    GSequence *
    ide_project_item_get_children (IdeProjectItem *item);

A scalable list containing the children of the item.

#### Returns

A GSequence.

[transfer none]

## Types and Values

### struct IdeProjectItemClass

    struct IdeProjectItemClass {
      IdeObjectClass parent_class;
    };

### IdeProjectItem

    typedef struct _IdeProjectItem IdeProjectItem;

## Property Details

### The `“parent”` property

      “parent”                   IdeProjectItem *

The parent project item, if not the root.

Flags: Read / Write